Support » Plugin: Democracy Poll » Exactly what I need

  • Wonderfull plugin.
    Simple and easy to use with awesome features (like “Revote” and shortcode) so I even can use it in elementor.
    Please keep it active for years.

  • The topic ‘Exactly what I need’ is closed to new replies.